=== debian/changelog ===
waili (19990723-22.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761792.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:11:19 +0000

waili (19990723-22) unstable; urgency=low

  * Bug fix: "please build-depend on libtiff-dev, not libtiff4-dev",
    thanks to Jay Berkenbilt (Closes: #736048).
  * add ${shlibs:Depends} (thanks lintian)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 06 Jul 2014 18:19:50 +0200

waili (19990723-21) unstable; urgency=low

  * switch to the new source package formats "3.0 (quilt)"
  * added homepage
  * Bug fix: "FTBFS(kfreebsd): patch included", thanks to Christoph Egger
    (Closes: #639201).
  * use dpkg-buildflags , so as to enable fortify

 --  A Mennucc1 <mennucc1@debian.org>  Mon, 13 Jan 2014 13:47:51 +0100

waili (19990723-20) unstable; urgency=low

  * Bug fix: "Please Build-Depends on libjpeg-dev, not libjpeg62-dev",
    thanks to Bill Allombert (Closes: #634641).
  * Bug fix: "Getting rid of unneeded *.la / emptying dependency_libs",
    thanks to codehelp@debian.org</a>; (Closes: #633281).
  * Clean up lintian warnings:
     - debhelper-but-no-misc-depends
     - debian-rules-missing-recommended-target
     - out-of-date-standards-version

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 17 Aug 2011 14:43:43 +0200

waili (19990723-19) unstable; urgency=low

  * depend on libreadline-dev, thanks doko@d.o
  * update standards version, no changes
  * bring debhelper compat to 7, no changes needed
  * clean lintian warning: add copyright in debian/copyright

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 14 Sep 2009 18:50:54 +0200

waili (19990723-18) unstable; urgency=low

  * Depend on texlive-base instead of tetex.
  * Bug fix: "waili - FTBFS: Rangecheck.C:218: error: expected
    primary-expression before &#39;?&#39; token", thanks to Michael
    Ablassmeier,  Sebastian Bober (Closes: #441493).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 29 Nov 2007 08:48:02 +0100

waili (19990723-17) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.2: uses removed minimum/maximum operator",
    thanks to Martin Michlmayr (Closes: #385523).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 24 May 2007 18:49:42 +0200

waili (19990723-16) unstable; urgency=low

  * build with gcc 4.0  (closes: #332831)
    - package libwaili renamed to libwaili1c2 (version 1 , c++ abi 2)
    - >?  operator is deprecated
    - I ignore warns that Wavelet class would need a virtual destructor...
  * build-dep on libreadline5-dev
  * Policy bumped to 3.6.2 (no changes).
  * correct dangling symlink Manual.ps.gz (closes: #326939) (closes: #332944)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 10 Oct 2005 10:37:56 +0200

waili (19990723-15) unstable; urgency=low

  * corrections for gcc 3.4 

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  3 Feb 2005 17:35:42 +0100

waili (19990723-14) unstable; urgency=low

  * corrections for latest C++

 -- A Mennucc <mennucc1@debian.org>  Mon, 27 Dec 2004 16:45:10 +0100

waili (19990723-13) unstable; urgency=low

  * build-dep on tetex-bin and libtiff4
  * better Demo, with readline support

 -- A Mennucc1 <mennucc1@debian.org>  Sun,  1 Aug 2004 11:46:21 +0200

waili (19990723-12) unstable; urgency=low

  * build-dep on tetex-bin

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 18 Jul 2004 09:56:53 +0200

waili (19990723-11) unstable; urgency=low

  * this time FTBFS on LaTeX
  * corrected errors in import and export of PNM images

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 15 Jul 2004 18:54:27 +0200

waili (19990723-10) unstable; urgency=low

  * again FTBFS when computing dependencies (rats)
  * /usr/lib/waili/test    is empty

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 14 Jul 2004 14:33:36 +0200

waili (19990723-9) unstable; urgency=low

  * section is libdevel
  * Bug fix: "waili: FTBFS: Failure in making dependencies", thanks to
    Daniel Schepler (Closes: #259139) for spotting it.

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 14 Jul 2004 09:54:36 +0200

waili (19990723-8) unstable; urgency=low

  * changed for new libstdc++ (ISO c++ standard) of gcc 3.2
  * Makefile makeup for newer libtool
  * This version introduces some new calls and is slightly different
    from upstream
  * example programs go into /usr/lib/libwaili/test not /usr/share/libwaili/test  * the Enhance method was using wrong rounding
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 30 Jun 2004 16:40:11 +0200
  

waili (19990723-7) unstable; urgency=low

  * corrected Makefiles for libtool 1.5    (Closes: #213752).
  * (hopefully) corrected includes  to avoid warnings
  
 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Oct 2003 13:39:02 +0000

waili (19990723-6) unstable; urgency=low

  * thanks to John Lightsey <john@nixnuts.net>, who  (closes: #192042)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Sun, 20 Jun 2004 15:22:30 +0200

waili (19990723-5) unstable; urgency=low

  * build_deps: it dont need xfig ; and I have added .INTERMIDIATE so
  * now it really doesnt need tetex to rebuild
  * added Feof to Stream class
  * added some features to Demo (as, quantize, and separate RGB YUV) 
  * removed build-dep: libc6-dev
  
 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 24 Jul 2001 12:35:10 +0200

waili (19990723-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * standard changed to depricate CLK_TCK in favor of CLOCKS_PER_SEC,
    not defined in the compile.  Closes: #104599

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri, 13 Jul 2001 15:00:01 -0600
  

waili (19990723-4) unstable; urgency=low

  * these build_deps are driving me mad; I added tetex-* all  (closes: 95139, 96749)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 15 May 2001 14:29:34 +0200

waili (19990723-3) unstable; urgency=low

  * dirty hack for dependencies (closes: #96210)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  4 May 2001 15:04:43 +0200

waili (19990723-2) unstable; urgency=low

  * added 'debhelper' and 'transfig' build dependencies (closes: #95139)


