=== debian/control ===
Source: waili
Section: devel
Build-Depends: libtool, libtool-bin, libjpeg-dev, libtiff-dev, zlib1g-dev, transfig, debhelper (>= 7), texlive-base, libreadline-dev
Priority: optional
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.9.2
Homepage: http://nalag.cs.kuleuven.be/research/software/wavelets/

Package: libwaili-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libwaili1c2 (=${binary:Version}), libc6-dev
Provides: libwaili-doc, libwaili-test
Description: WAILI is a wavelet transform library (develop. files)
 from the web page:  http://www.cs.kuleuven.ac.be/~wavelets/
 "WAILI is a wavelet transform library. It includes some basic image
 processing operations based on the use of wavelets and forms the
 backbone of more complex image processing operations. "
 .
 This package contains what is needed for developers:
    static library, shared library, include files
 This package provides also documentation and testing sample programs

Package: libwaili1c2
Conflicts: libwaili, libwaili1, libwaili1c102
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WAILI is a wavelet transform library
 from the web page:  http://www.cs.kuleuven.ac.be/~wavelets/
 .
 "WAILI is a wavelet transform library. It includes some basic image
 processing operations based on the use of wavelets and forms the
 backbone of more complex image processing operations. "
