=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
version=1.0.0
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir	
	# Add here commands to compile the package.
	./config/Configure $(shell dpkg-buildflags --export=configure) 
	$(MAKE)  LIBVERSION=$(major)
	touch build-arch-stamp

build-indep:
	#nothing to to be done here

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	# Add here commands to clean up after the build process.
	[ -f Rules.config ] ||  ./config/Configure 
	$(MAKE) clean   LIBVERSION=$(major)
	rm -f Rules.config
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE)  install  LIBVERSION=$(major) DESTDIR=`pwd`/debian/tmp
	#dh_link usr/share/doc/libwaili usr/share/doc/libwaili-dev
	dh_link usr/lib/libwaili/test usr/share/doc/libwaili/examples 
	dh_link usr/lib/libwaili/test usr/share/doc/libwaili-dev/examples 
	rm `pwd`/debian/tmp/usr/lib/libwaili.la


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
        #
        # build libwaili${major} package by moving files from tmp
        #
	dh_movefiles
	dh_installdocs	
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_install debian/tmp/usr/share/doc/libwaili/Manual.ps usr/share/doc/libwaili-dev
	dh_compress
	dh_link  usr/share/doc/libwaili-dev/Manual.ps.gz usr/share/doc/libwaili1c2/Manual.ps.gz
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps  -L  libwaili1c2  -l debian/libwaili1c2/usr/lib
	#
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary binary-indep binary-arch install-arch
